.TH rr-collect-symbols "1" "May 2020" "rr-collect-symbols - add symbols to rr traces" "User Commands"
.SH NAME
rr\-collect\-symbols \- add symbols to rr traces
.SH SYNOPSIS
.B rr\-collect\-symbols
.RI < trace-dir "> [<" url "> | <" path >]
.SH DESCRIPTION
.B rr\-collect\-symbols
merges symbols into an
.BR rr (1)
trace.
.P
The trace in
.I trace-dir
must be package, with
.BR "rr pack" ,
so all relevant files appear in the trace directory.
.P
Symbols can be extracted from a ZIP file downloaded from
.IR url ,
or from a .build-id directory under
.I path
with the usual structure.
.I path
defaults to /usr/lib/debug, thus using any available system debuginfo
files.
.P
The extracted debuginfo files are stored in the trace under a debug
subdirectory, in a .build-id directory with the usual structure.
.P
If a debuginfo file contains a .gnu_debugaltlink section then the
referenced file will also be copied, if it's available, with the
same file name as the .debug file, but with a .sup suffix.
.SH AUTHORS
\fBrr\fP was written by Robert O'Callahan, Chris Jones, Nathan Froyd
and others.
.PP
This manual page was adapted from the help output by Stephen Kitt
<skitt@debian.org>, for the Debian GNU/Linux system (but may be used
by others). It was last modified for \fBrr\fP version 5.3.0.
